/*
 *  Copyright (C) 2005-2008  Maarten de Boer <maarten@resorama.com>
 * 
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 *  02110-1301, USA.
 * 
 */

#ifndef __Screen__
#define __Screen__

struct SDL_Surface;

class Screen
{
protected:
	int flags;
	int bpp;
	int w, h;
	int glw, glh;
	SDL_Surface *sdl_surface;
public:
	Screen(int w, int h, int glw, int glh);
	void FullScreen(bool b = true);
	void DoubleBuffer(bool b = true);
	void Init(void);
	void Exit(void);
	void Flip(void);
};

#endif

